Send a carousel message
POST/api/send-carousel
Send a carousel of images to a single recipient. Requires a V2 (Mac Mini) line. The carousel must contain between 2 and 20 HTTPS image URLs. For sending a single image, use /api/send-message with media_url instead.
Body ParametersJSON
Returns
is_outbound: optional boolean
message_type: optional string
status: optional string
Send a carousel message
curl https://api.sendblue.co/api/send-carousel \
-H 'Content-Type: application/json' \
-H "sb-api-key-id: $SENDBLUE_API_API_KEY" \
-H "sb-api-secret-key: $SENDBLUE_API_API_SECRET" \
-d '{
"from_number": "+19998887777",
"media_urls": [
"https://example.com/image1.jpg",
"https://example.com/image2.jpg",
"https://example.com/image3.jpg"
],
"number": "+19998887777",
"send_style": "celebration",
"status_callback": "https://example.com/webhook"
}'{
"accountEmail": "[email protected]",
"from_number": "+19998887777",
"is_outbound": true,
"media_url": "https://example.com/image1.jpg",
"message_handle": "msg_abc123def456",
"message_type": "carousel",
"number": "+19998887777",
"status": "QUEUED"
}Returns Examples
{
"accountEmail": "[email protected]",
"from_number": "+19998887777",
"is_outbound": true,
"media_url": "https://example.com/image1.jpg",
"message_handle": "msg_abc123def456",
"message_type": "carousel",
"number": "+19998887777",
"status": "QUEUED"
}